package com.ym.mec.education.base;

/**
 * @version V1.0
 * @Description: TODO
 * @date Date : 2019年09月25日 17:50
 */
import java.io.Serializable;

public class Response implements Serializable {
    protected Integer returnCode;
    protected String message;
    protected String chainId;

    public Response() {
    }

    public Integer getReturnCode() {
        return this.returnCode;
    }

    public String getMessage() {
        return this.message;
    }

    public String getChainId() {
        return this.chainId;
    }

    public void setReturnCode(final Integer returnCode) {
        this.returnCode = returnCode;
    }

    public void setMessage(final String message) {
        this.message = message;
    }

    public void setChainId(final String chainId) {
        this.chainId = chainId;
    }
    @Override
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof Response)) {
            return false;
        } else {
            Response other = (Response) o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label47:
                {
                    Object this$returnCode = this.getReturnCode();
                    Object other$returnCode = other.getReturnCode();
                    if (this$returnCode == null) {
                        if (other$returnCode == null) {
                            break label47;
                        }
                    } else if (this$returnCode.equals(other$returnCode)) {
                        break label47;
                    }

                    return false;
                }

                Object this$message = this.getMessage();
                Object other$message = other.getMessage();
                if (this$message == null) {
                    if (other$message != null) {
                        return false;
                    }
                } else if (!this$message.equals(other$message)) {
                    return false;
                }

                Object this$chainId = this.getChainId();
                Object other$chainId = other.getChainId();
                if (this$chainId == null) {
                    if (other$chainId != null) {
                        return false;
                    }
                } else if (!this$chainId.equals(other$chainId)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof Response;
    }

    @Override
    public String toString() {
        return "Response(returnCode=" + this.getReturnCode() + ", message=" + this.getMessage() + ", chainId=" + this.getChainId() + ")";
    }
}